Package org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance`, `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder`
  Enclosing class:
    JBPMMessages.ProcessInstance

      public static interface JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getGroupNodeInstanceId​(int index)` | `repeated int64 group_node_instance_id = 1;`
    `int` | `getGroupNodeInstanceIdCount()` | `repeated int64 group_node_instance_id = 1;`
    `List<Long>` | `getGroupNodeInstanceIdList()` | `repeated int64 group_node_instance_id = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getGroupNodeInstanceIdList

          List<Long> getGroupNodeInstanceIdList()

      `repeated int64 group_node_instance_id = 1;`
      Returns:
        A list containing the groupNodeInstanceId.

    - #### getGroupNodeInstanceIdCount

          int getGroupNodeInstanceIdCount()

      `repeated int64 group_node_instance_id = 1;`
      Returns:
        The count of groupNodeInstanceId.

    - #### getGroupNodeInstanceId

          long getGroupNodeInstanceId​(int index)

      `repeated int64 group_node_instance_id = 1;`
      Parameters:
        `index` - The index of the element to return.
      Returns:
        The groupNodeInstanceId at the given index.